<?xml version="1.0" encoding="UTF-8"?>
<?soap-fault-for exceptionType="za.co.eskom.nrs.xmlvend.server.advice.NoResponseException"?>
<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:r0="http://www.nrs.eskom.co.za/xmlvend/revenue/2.1/schema"
    xmlns:b0="http://www.nrs.eskom.co.za/xmlvend/base/2.1/schema"
    xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">

    <!-- Import common templates -->
    <xsl:import href="../common/common.xsl"/>
    
    <!-- Details of root-cause exception -->
    <xsl:param name="exception.class"/>
    <xsl:param name="exception.message"/>

    <xsl:template match="/b0:adviceReq">
        <soap:Fault>
            <faultcode>soap:Server</faultcode>
            <faultstring>Technical: <xsl:value-of select="$exception.message"/>  (<xsl:value-of select="$exception.class"/>)</faultstring>
            <detail>
                <b0:xmlvendFaultResp>
        
                    <!-- Insert the Common request attributes -->
                    <xsl:call-template name="baseResponseAttributes"/>
                        
                    <b0:dispHeader>ONLINE VENDING ERROR</b0:dispHeader>
                    <xsl:choose>
                        <!-- LastResponse Fault -->
                        <xsl:when test="contains(string(@xsi:type), 'LastRespAdviceReq' )">
                            <b0:operatorMsg>The server did not process the requested transaction, response cannot returned. The required action can be retried.</b0:operatorMsg>
                            <b0:fault xsi:type="b0:LastResponseEx">
                                <b0:desc>Technical: <xsl:value-of select="$exception.message"/>  (<xsl:value-of select="$exception.class"/>)</b0:desc>
                            </b0:fault>                            
                        </xsl:when>
                        <!-- Reversal Fault -->
                        <xsl:when test="contains(string(@xsi:type), 'ReversalAdviceReq' )">
                            <b0:operatorMsg>The server did not process the requested transaction, transaction cannot be reversed. The required action can be retried.</b0:operatorMsg>
                            <b0:fault xsi:type="b0:ReversalEx">
                                <b0:desc>Technical: <xsl:value-of select="$exception.message"/>  (<xsl:value-of select="$exception.class"/>)</b0:desc>
                            </b0:fault>                            
                        </xsl:when>
                    </xsl:choose>
                    
                 </b0:xmlvendFaultResp>
            </detail>
            </soap:Fault>
    </xsl:template>
    
</xsl:stylesheet>
