<?xml version="1.0" encoding="UTF-8"?>
<?soap-response-to requestType="CancelVendReq" namespace="http://www.nrs.eskom.co.za/xmlvend/revenue/2.1/schema"?>
<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:r0="http://www.nrs.eskom.co.za/xmlvend/revenue/2.1/schema"
    xmlns:b0="http://www.nrs.eskom.co.za/xmlvend/base/2.1/schema">
    
    <!-- Import common templates -->
    <xsl:import href="../common/common.xsl"/>
    <xsl:import href="../common/baseVend.xsl"/>
    
    <!-- Match the root element of the request message -->
    <xsl:template match="/r0:cancelVendReq">
        
            <r0:cancelVendResp>
                
                <!-- Insert the Common request attributes -->
                <xsl:call-template name="baseResponseAttributes"/>               
                
                <b0:dispHeader>Cancel Token Request</b0:dispHeader>
                <b0:operatorMsg>The transaction has been cancelled</b0:operatorMsg>
                <b0:custMsg>The transaction has been cancelled.</b0:custMsg>
                <b0:clientStatus>
                    <b0:availCredit value="1000" symbol="ZAR"/>
                    <b0:batchStatus banking="open" sales="closed" shift="closed"/>
                </b0:clientStatus>
                <b0:utility name="Eskom" address="Foo Road" taxRef="1234567890"/> 
                <b0:vendor name="Foo Corner Store" address="12 Foo Road, Foo Town, 9999" />
                <b0:custVendDetail name="Mr XMLVend" address="10 XMLVend Avenue, XMLVendVille, 8888" contactNo="(011)6789089" accNo="0987654321" locRef="erf34567" daysLastPurchase="41"/>
                <r0:origTx>
                    <r0:amt value="10" symbol="ZAR"/>
                    <r0:tax xsi:type="b0:VAT" rate="14">
                        <b0:amt value="2" symbol="ZAR"/>
                    </r0:tax>
                       <r0:creditTokenIssue xsi:type="b0:SaleCredTokenIssue">
                            <b0:desc>Normal Sale</b0:desc>
                           
                           <!-- Insert the BaseVend Meter request attributes -->
                           <xsl:call-template name="baseVendResponseAttributes"/>                            
                           
                           <b0:token xsi:type="b0:STS1Token">
                               <b0:stsCipher><xsl:value-of select="./r0:token/b0:stsCipher"/></b0:stsCipher>
                           </b0:token>
                            <b0:units value="100" siUnit="kWh"/>
                            <b0:resource xsi:type="b0:Electricity"/>
                         </r0:creditTokenIssue>
                    <r0:tariff>
                        <b0:name>HomeLight 1</b0:name>
                        <b0:desc>60 A:	45,76c + VAT = 52,17c/kWh</b0:desc>
                    </r0:tariff>    
                </r0:origTx>      
            </r0:cancelVendResp>
        
    </xsl:template>
    
</xsl:stylesheet>
