<?xml version="1.0" encoding="UTF-8"?>
<?soap-response-to requestType="MeterCreditTransferReq" namespace="http://www.nrs.eskom.co.za/xmlvend/revenue/2.1/schema"?>
<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:r0="http://www.nrs.eskom.co.za/xmlvend/revenue/2.1/schema"
    xmlns:b0="http://www.nrs.eskom.co.za/xmlvend/base/2.1/schema">
    
    <!-- Import common templates -->
    <xsl:import href="../common/common.xsl"/>
    <xsl:import href="../common/baseVend.xsl"/>
    
    <!-- Match the root element of the request message -->
    <xsl:template match="/r0:meterCreditTransferReq">
        
                <r0:meterCreditTransferResp>
                    
                    <!-- Insert the Common request attributes -->
                    <xsl:call-template name="baseResponseAttributes"/>
                    
                    <b0:dispHeader>Meter Credit Transfer Token Issue</b0:dispHeader>
                    <b0:clientStatus>
                        <b0:availCredit  value="2000" symbol="ZAR"/>
                        <b0:batchStatus banking="open" sales="open" shift="open"/>
                    </b0:clientStatus>
                    <b0:utility name="Eskom" address="Foo Road" taxRef="1234567890"/> 
                    <b0:vendor name="Foo Corner Store" address="12 Foo Road, Foo Town, 9999" />
                    <b0:custVendDetail name="Mr XMLVend" address="10 XMLVend Avenue, XMLVendVille, 8888" contactNo="(011)6789089" accNo="0987654321" locRef="erf34567" daysLastPurchase="41"/>
                    <r0:creditTransferDetail>
                        <r0:oldMSNO><xsl:value-of select="./r0:creditTransferDetail/r0:oldMSNO"/></r0:oldMSNO>
                        <xsl:if test="./r0:creditTransferDetail/r0:refNo != ''">
                            <r0:refNo><xsl:value-of select="./r0:creditTransferDetail/r0:refNo"/></r0:refNo>
                        </xsl:if>    
                    </r0:creditTransferDetail>
                    
                    <!-- Caculate the transaction amount-->
                    <xsl:variable name="txAmt" select="((./r0:chgOutUnits/r0:units/@value * $tariff) div 100)"/>
                    
                    <r0:creditTransferTx receiptNo="0987564321">
                        <r0:amt value="{format-number($txAmt,'###0.00')}" symbol="ZAR"/>
                            <r0:tax xsi:type="b0:VAT" rate="{$VAT}">
                                <b0:amt  value="{format-number(($txAmt - ($txAmt div $VATFact)),'###0.00')}" symbol="ZAR"/>
                            </r0:tax>    
                        <r0:creditTokenIssue xsi:type="b0:MCTCredTokenIssue">
                                <b0:desc>Meter Credit Transfer Token</b0:desc>
                                
                                <!-- Insert the BaseVend Meter request attributes -->
                                <xsl:call-template name="baseVendResponseAttributes"/>    
                                
                                <b0:token xsi:type="b0:STS1Token">
                                    <b0:stsCipher>56493153725450313471</b0:stsCipher>
                                </b0:token>
                                
                                <b0:units value="{./r0:chgOutUnits/r0:units/@value}" siUnit="{./r0:chgOutUnits/r0:units/@siUnit}" />
                                <b0:resource xsi:type="b0:Electricity"/>
                            </r0:creditTokenIssue>
                            <r0:tariff>
                                <b0:name>HomeLight 1</b0:name>
                                <b0:desc><xsl:value-of select="format-number($tariff,'###0.00')"/> c/kWh</b0:desc>
                            </r0:tariff>
                       </r0:creditTransferTx>
            </r0:meterCreditTransferResp>
    
    </xsl:template>
    
</xsl:stylesheet>
