<?xml version="1.0" encoding="UTF-8"?>
<?soap-response-to requestType="ReprintEndBankingBatchReq" namespace="http://www.nrs.eskom.co.za/xmlvend/revenue/2.1/schema"?>
<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:r0="http://www.nrs.eskom.co.za/xmlvend/revenue/2.1/schema"
    xmlns:b0="http://www.nrs.eskom.co.za/xmlvend/base/2.1/schema">
    
    <!-- Import common templates -->
    <xsl:import href="../common/common.xsl"/>
    
    <!-- <All> false, No children batches required-->
    <xsl:template match="/r0:reprintEndBatchReq[contains(string(r0:all),'false')]" priority="1">
        
            <r0:reprintEndBatchResp>
                    
                    <!-- Insert the Common request attributes -->
                    <xsl:call-template name="baseResponseAttributes"/>
                    
                    <b0:dispHeader>End Bank Batch - Reprint</b0:dispHeader>
                     <r0:endBatchReprint>
                        <b0:clientID xsi:type="b0:EANDeviceID" ean="1234567890123"/>
                        <b0:serverID xsi:type="b0:EANDeviceID" ean="3210987654321"/>
                        <b0:terminalID xsi:type="b0:GenericDeviceID" id="1"/>
                        <b0:reqMsgID dateTime="20051027083333" uniqueNumber="45"/>
                        <b0:respDateTime>2005-10-27T17:55:56.041Z</b0:respDateTime>
                        <b0:dispHeader>End Bank Batch</b0:dispHeader>
                         
                         <!-- Check if a seqNo was specified -->
                         <xsl:choose>
                             <xsl:when test="string-length(string(./r0:seqNo))=0">
                                 <r0:endBatch xsi:type="r0:BankBatch" seqNo="123">           
                                     <r0:started>2005-10-27T14:55:56.041Z</r0:started>
                                     <r0:ended>2005-10-28T08:33:33.041Z</r0:ended>
                                     <r0:batchTot value="5154" symbol="ZAR"/>
                                     <r0:depSlip bankingRefNo="1234567890" >
                                         <r0:header>Deposit Slip</r0:header>
                                         <r0:amt value="1200" symbol="ZAR"/>
                                         <r0:beneficiary accName="Foo Electricity" accNo="1234567890" branchCode="123456" bankName="Bar Bank" bankRegNo="1234567890"/>
                                     </r0:depSlip>                      
                                 </r0:endBatch>
                             </xsl:when>
                             <xsl:otherwise>
                                 <r0:endBatch xsi:type="r0:BankBatch" seqNo="{./r0:seqNo}">           
                                     <r0:started>2005-10-27T14:55:56.041Z</r0:started>
                                     <r0:ended>2005-10-28T08:33:33.041Z</r0:ended>
                                     <r0:batchTot value="5154" symbol="ZAR"/>
                                     <r0:depSlip bankingRefNo="1234567890" >
                                         <r0:header>Deposit Slip</r0:header>
                                         <r0:amt value="1200" symbol="ZAR"/>
                                         <r0:beneficiary accName="Foo Electricity" accNo="1234567890" branchCode="123456" bankName="Bar Bank" bankRegNo="1234567890"/>
                                     </r0:depSlip>                      
                                 </r0:endBatch>                                 
                             </xsl:otherwise>
                         </xsl:choose>
                         
                   </r0:endBatchReprint>
                </r0:reprintEndBatchResp>
    </xsl:template>
    
    <!-- <All> true - provide children batches -->
    <xsl:template match="/r0:reprintEndBatchReq[contains(string(r0:all),'true')]" priority="1">
       
        <r0:reprintEndBatchResp>
        
        <!-- Insert the Common request attributes -->
        <xsl:call-template name="baseResponseAttributes"/>
        
        <b0:dispHeader>End Bank Batch - Reprint</b0:dispHeader>
        <r0:endBatchReprint>
            <b0:clientID xsi:type="b0:EANDeviceID" ean="1234567890123"/>
            <b0:serverID xsi:type="b0:EANDeviceID" ean="3210987654321"/>
            <b0:terminalID xsi:type="b0:GenericDeviceID" id="1"/>
            <b0:reqMsgID dateTime="20051027083333" uniqueNumber="45"/>
            <b0:respDateTime>2005-10-27T17:55:56.041Z</b0:respDateTime>
            <b0:dispHeader>End Bank Batch</b0:dispHeader>
            
            
            <r0:endBatch xsi:type="r0:BankBatch" seqNo="123">           
                <r0:started>2005-10-27T14:55:56.041Z</r0:started>
                <r0:ended>2005-10-28T08:33:33.041Z</r0:ended>
                <r0:batchTot value="5154" symbol="ZAR"/>
                <r0:depSlip bankingRefNo="1234567890" >
                    <r0:header>Deposit Slip</r0:header>
                    <r0:amt value="1200" symbol="ZAR"/>
                    <r0:beneficiary accName="Foo Electricity" accNo="1234567890" branchCode="123456" bankName="Bar Bank" bankRegNo="1234567890"/>
                </r0:depSlip>
                  
                <r0:salesBatch seqNo="1234">
                    <r0:started>2005-10-27T14:55:56.041Z</r0:started>
                    <r0:ended>2005-10-28T08:33:33.041Z</r0:ended>
                    <r0:batchTot value="3154" symbol="ZAR"/>
                    <r0:batchReport>
                        <r0:txTotal xsi:type="r0:NormalSaleTotal">
                            <r0:desc>Normal Sale</r0:desc>
                            <r0:amt value="3100" symbol="ZAR"/>
                        </r0:txTotal>
                        <r0:txTotal xsi:type="r0:DebtRecoveryTotal">
                            <r0:desc>Debt Recovery</r0:desc>
                            <r0:amt value="54" symbol="ZAR"/>
                        </r0:txTotal>
                        <r0:operatorTotal>
                            <r0:opName>USER1</r0:opName>
                            <r0:amt value="2000" symbol="ZAR"/>
                        </r0:operatorTotal>
                        <r0:operatorTotal>
                            <r0:opName>USER2</r0:opName>
                            <r0:amt value="1154" symbol="ZAR"/>
                        </r0:operatorTotal>
                        <r0:payTypeTotal xsi:type="r0:CashTotal">
                            <r0:desc>Cash</r0:desc>
                            <r0:amt value="2154" symbol="ZAR"/>
                        </r0:payTypeTotal>
                        <r0:payTypeTotal xsi:type="r0:CreditCardTotal">
                            <r0:desc>Credit Card</r0:desc>
                            <r0:amt value="1000" symbol="ZAR"/>
                        </r0:payTypeTotal>
                    </r0:batchReport>
                </r0:salesBatch>
                <r0:salesBatch seqNo="1235">
                    <r0:started>2005-10-27T14:55:56.041Z</r0:started>
                    <r0:ended>2005-10-28T08:33:33.041Z</r0:ended>
                    <r0:batchTot value="2000" symbol="ZAR"/>
                    <r0:batchReport>
                        <r0:txTotal xsi:type="r0:NormalSaleTotal">
                            <r0:desc>Normal Sale</r0:desc>
                            <r0:amt value="2000" symbol="ZAR"/>
                        </r0:txTotal>
                        <r0:operatorTotal>
                            <r0:opName>USER1</r0:opName>
                            <r0:amt value="2000" symbol="ZAR"/>
                        </r0:operatorTotal>
                        <r0:payTypeTotal xsi:type="r0:CashTotal">
                            <r0:desc>Cash</r0:desc>
                            <r0:amt value="2000" symbol="ZAR"/>
                        </r0:payTypeTotal>
                    </r0:batchReport>
                </r0:salesBatch>
                
            </r0:endBatch>
        </r0:endBatchReprint>
        </r0:reprintEndBatchResp>
    </xsl:template>

    <!-- <All> omitted, provide children batches-->
    <xsl:template match="/r0:reprintEndBatchReq" priority="-1">
        
        <r0:reprintEndBatchResp>
            
            <!-- Insert the Common request attributes -->
            <xsl:call-template name="baseResponseAttributes"/>
            
            <b0:dispHeader>End Bank Batch - Reprint</b0:dispHeader>
            <r0:endBatchReprint>
                <b0:clientID xsi:type="b0:EANDeviceID" ean="1234567890123"/>
                <b0:serverID xsi:type="b0:EANDeviceID" ean="3210987654321"/>
                <b0:terminalID xsi:type="b0:GenericDeviceID" id="1"/>
                <b0:reqMsgID dateTime="20051027083333" uniqueNumber="45"/>
                <b0:respDateTime>2005-10-27T17:55:56.041Z</b0:respDateTime>
                <b0:dispHeader>End Bank Batch</b0:dispHeader>
                
                
                <r0:endBatch xsi:type="r0:BankBatch" seqNo="123">           
                    <r0:started>2005-10-27T14:55:56.041Z</r0:started>
                    <r0:ended>2005-10-28T08:33:33.041Z</r0:ended>
                    <r0:batchTot value="5154" symbol="ZAR"/>
                    <r0:depSlip bankingRefNo="1234567890" >
                        <r0:header>Deposit Slip</r0:header>
                        <r0:amt value="1200" symbol="ZAR"/>
                        <r0:beneficiary accName="Foo Electricity" accNo="1234567890" branchCode="123456" bankName="Bar Bank" bankRegNo="1234567890"/>
                    </r0:depSlip>
                    
                    <r0:salesBatch seqNo="1234">
                        <r0:started>2005-10-27T14:55:56.041Z</r0:started>
                        <r0:ended>2005-10-28T08:33:33.041Z</r0:ended>
                        <r0:batchTot value="3154" symbol="ZAR"/>
                        <r0:batchReport>
                            <r0:txTotal xsi:type="r0:NormalSaleTotal">
                                <r0:desc>Normal Sale</r0:desc>
                                <r0:amt value="3100" symbol="ZAR"/>
                            </r0:txTotal>
                            <r0:txTotal xsi:type="r0:DebtRecoveryTotal">
                                <r0:desc>Debt Recovery</r0:desc>
                                <r0:amt value="54" symbol="ZAR"/>
                            </r0:txTotal>
                            <r0:operatorTotal>
                                <r0:opName>USER1</r0:opName>
                                <r0:amt value="2000" symbol="ZAR"/>
                            </r0:operatorTotal>
                            <r0:operatorTotal>
                                <r0:opName>USER2</r0:opName>
                                <r0:amt value="1154" symbol="ZAR"/>
                            </r0:operatorTotal>
                            <r0:payTypeTotal xsi:type="r0:CashTotal">
                                <r0:desc>Cash</r0:desc>
                                <r0:amt value="2154" symbol="ZAR"/>
                            </r0:payTypeTotal>
                            <r0:payTypeTotal xsi:type="r0:CreditCardTotal">
                                <r0:desc>Credit Card</r0:desc>
                                <r0:amt value="1000" symbol="ZAR"/>
                            </r0:payTypeTotal>
                        </r0:batchReport>
                    </r0:salesBatch>
                    <r0:salesBatch seqNo="1235">
                        <r0:started>2005-10-27T14:55:56.041Z</r0:started>
                        <r0:ended>2005-10-28T08:33:33.041Z</r0:ended>
                        <r0:batchTot value="2000" symbol="ZAR"/>
                        <r0:batchReport>
                            <r0:txTotal xsi:type="r0:NormalSaleTotal">
                                <r0:desc>Normal Sale</r0:desc>
                                <r0:amt value="2000" symbol="ZAR"/>
                            </r0:txTotal>
                            <r0:operatorTotal>
                                <r0:opName>USER1</r0:opName>
                                <r0:amt value="2000" symbol="ZAR"/>
                            </r0:operatorTotal>
                            <r0:payTypeTotal xsi:type="r0:CashTotal">
                                <r0:desc>Cash</r0:desc>
                                <r0:amt value="2000" symbol="ZAR"/>
                            </r0:payTypeTotal>
                        </r0:batchReport>
                    </r0:salesBatch>
                    
                </r0:endBatch>
            </r0:endBatchReprint>
        </r0:reprintEndBatchResp>
    </xsl:template>    
</xsl:stylesheet>
