<?xml version="1.0" encoding="UTF-8"?>
<?soap-response-to requestType="ReprintEndShiftBatchReq" namespace="http://www.nrs.eskom.co.za/xmlvend/revenue/2.1/schema"?>
<xsl:stylesheet 
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:r0="http://www.nrs.eskom.co.za/xmlvend/revenue/2.1/schema"
    xmlns:b0="http://www.nrs.eskom.co.za/xmlvend/base/2.1/schema">
    
    <!-- Import common templates -->
    <xsl:import href="../common/common.xsl"/>
    
    <!-- Match the root element of the request message -->
    <xsl:template match="/r0:reprintEndBatchReq">
        
                <r0:reprintEndBatchResp>
                            
                            <!-- Insert the Common request attributes -->
                            <xsl:call-template name="baseResponseAttributes"/>
                            
                    <b0:dispHeader>End Shift Batch - Reprint </b0:dispHeader>
                    <r0:endBatchReprint>
                        <b0:clientID xsi:type="b0:EANDeviceID" ean="1234567890123"/>
                        <b0:serverID xsi:type="b0:EANDeviceID" ean="3210987654321"/>
                        <b0:terminalID xsi:type="b0:GenericDeviceID" id="1"/>
                        <b0:reqMsgID dateTime="20051027083333" uniqueNumber="45"/>
                        <b0:respDateTime>2005-10-27T14:55:56.041Z</b0:respDateTime>
                        <b0:dispHeader>End Shift Batch</b0:dispHeader>
                        <r0:endBatch xsi:type="r0:ShiftBatch" seqNo="1234">
                            <r0:started>2005-10-27T14:55:56.041Z</r0:started>
                            <r0:ended>2005-10-28T08:33:33.041Z</r0:ended>
                            <r0:batchTot value="3154" symbol="ZAR"/>
                            <r0:batchReport>
                                <r0:txTotal xsi:type="r0:NormalSaleTotal">
                                    <r0:desc>Normal Sale</r0:desc>
                                    <r0:amt value="3100" symbol="ZAR"/>
                                </r0:txTotal>
                                <r0:txTotal xsi:type="r0:DebtRecoveryTotal">
                                    <r0:desc>Debt Recovery</r0:desc>
                                    <r0:amt value="54" symbol="ZAR"/>
                                </r0:txTotal>
                                <r0:operatorTotal>
                                    <r0:opName>USER1</r0:opName>
                                    <r0:amt value="3154" symbol="ZAR"/>
                                </r0:operatorTotal>
                                <r0:payTypeTotal xsi:type="r0:CashTotal">
                                    <r0:desc>Cash</r0:desc>
                                    <amt value="2154" symbol="ZAR"/>
                                </r0:payTypeTotal>
                                <r0:payTypeTotal xsi:type="r0:CreditCardTotal">
                                    <r0:desc>Credit Card</r0:desc>
                                    <r0:amt value="1000" symbol="ZAR"/>
                                </r0:payTypeTotal>
                                <r0:resTot xsi:type="r0:ElectricityTotal">
                                    <r0:desc>Electricity</r0:desc>
                                    <r0:units value="1300" siUnit="kWh"/>
                                </r0:resTot>     
                            </r0:batchReport>
                        </r0:endBatch>
                    </r0:endBatchReprint>
                </r0:reprintEndBatchResp>
        
    </xsl:template>
    
</xsl:stylesheet>